- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages:
default
System
System.Caching
System.Collections
System.Data
System.Data.ActiveRecord
System.Data.ActiveRecord.Relations
System.Data.ActiveRecord.Scaffold
System.Data.ActiveReecord.Scaffold.InputBuilder
System.Data.Commom.Sqlite
System.Data.Common
System.Data.Common.Mssql
System.Data.Common.Mysql
System.Data.Common.Oracle
System.Data.Common.Pgsql
System.Data.Common.Sqlite
System.Data.DataGateway
System.Data.SqlMap
System.Data.SqlMap.Configuration
System.Data.SqlMap.Statements
System.Exceptions
System.I18N
System.IO
System.Security
System.Util
System.Web
System.Web.Services
System.Web.UI
System.Web.UI.ActiveControls
System.Web.UI.WebControls
System.Web.UI.WebControls.assets
System.Xml
Classes:
IFeedContentProvider
TFeedService
TJsonResponse
TJsonService
TPageConfiguration
TPageService
TSoapServer
TSoapService

Keyword

# Class TFeedService

    TComponent
       |
       --TApplicationComponent
          |
          --TService
             |
             --TFeedService

TFeedService class

TFeedService provides to end-users feed content.

TFeedService manages a set of feeds. The service parameter, referring to the ID of the feed, specifies which feed content to be provided to end-users.

To use TFeedService, configure it in application configuration as follows,

      <service id="feed" class="System.Web.Services.TFeedService">
        <feed id="ch1" class="Path.To.FeedClass1" .../>
        <feed id="ch2" class="Path.To.FeedClass2" .../>
        <feed id="ch3" class="Path.To.FeedClass3" .../>
      </service>

where each &lt;feed&gt; element specifies a feed identified by its "id" value (case-sensitive). The class attribute indicates which PHP class will provide the actual feed content. Note, the class must implement IFeedContentProvider interface. Other initial properties for the feed class may also be specified in the corresponding &lt;feed&gt; element.

To retrieve the feed content identified by "ch2", use the URL

    /path/to/index.php?feed=ch2

Since: 3.1
Author: Qiang Xue <qiang.xue@gmail.com>
Author: Knut Urdalen <knut.urdalen@gmail.com>

Method Summary
protected string | determineRequestedFeedPath ()
void | init ( TXmlElement $config) Initializes this module.
void | run () Runs the service.

Methods Inherited From TService
TService::getEnabled(), TService::getID(), TService::init(), TService::run(), TService::setEnabled(), TService::setID()

Methods Inherited From TApplicationComponent
TApplicationComponent::getApplication(), TApplicationComponent::getRequest(), TApplicationComponent::getResponse(), TApplicationComponent::getService(), TApplicationComponent::getSession(), TApplicationComponent::getUser(), TApplicationComponent::publishAsset(), TApplicationComponent::publishFilePath()

Methods Inherited From TComponent

TComponent::addParsedObject(), TComponent::attachEventHandler(), TComponent::canGetProperty(), TComponent::canSetProperty(), TComponent::createdOnTemplate(), TComponent::detachEventHandler(), TComponent::evaluateExpression(), TComponent::evaluateStatements(), TComponent::getEventHandlers(), TComponent::getSubProperty(), TComponent::hasEvent(), TComponent::hasEventHandler(), TComponent::hasProperty(), TComponent::raiseEvent(), TComponent::setSubProperty(), TComponent::__get(), TComponent::__set()

Method Details

## determineRequestedFeedPath

protected string determineRequestedFeedPath | ()

Output
string | the requested feed path
Exception

## init

public void init | (TXmlElement $config )

Initializes this module.

This method is required by the IModule interface.

Input
TXmlElement | $config | configuration for this module, can be null
Output
Exception

## run

public void run | ()

Runs the service.

This method is invoked by application automatically.

Output
Exception